export declare class Backup {
    alert: boolean;
    /**
     * A class to create backups for your database.
     * Recomended to use this in different file.
     * @param {Boolean} alerts alert things to the console?
     */
    constructor(alerts?: boolean);
    /**
     * create backup file or folder
     * @param {String} adapter directory or .json file. If file -> type .json at the end.
     */
    createBackup(adapter: string): void;
    /**
     * remove backup file or folder
     * @param {String} adapter directory or .json file. If file -> type .json at the end.
     */
    removeBackup(adapter: string): void;
    /**
     * restore backup files
     * @param {String} adapter directory or .json file. If file -> type .json at the end.
     * @param {String|null} directory a directory where to restore.
     */
    restoreBackup(adapter: string, directory: string | null): void;
    /**
     * view list of files to backup
     * @param {Boolean} logs log table in console?
     * @param {Boolean} returns return object?
     */
    viewBackup(logs: boolean, returns: boolean): object | void;
}
