'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.LibCheck = void 0;
const fs = require("fs");
class LibCheck {
    checkFile(tablePath, tableName) {
        if (!fs.existsSync(tablePath + '/' + tableName + '.json')) {
            const fileError = '\u001b[1;31mUnable to find table .\\' + tableName + '.json' + '\u001b[0m';
            throw new Error(fileError);
        }
    }
    checkDir(tablePath) {
        if (!fs.existsSync(tablePath)) {
            const dirError = '\u001b[1;31mUnable to find dir \\' + tablePath + '\\' + '\u001b[0m';
            throw new Error(dirError);
        }
    }
    checkAny(adapter) {
        if (!fs.existsSync(adapter)) {
            const fileDirError = '\u001b[1;31mUnable to find ' + adapter + '\u001b[0m';
            throw new Error(fileDirError);
        }
    }
}
exports.LibCheck = LibCheck;
