interface ObjectOfArrays {
    [index: string]: (string | number | boolean)[];
}
export declare class Tools {
    /**
     * A random token generator.
     * @returns {String} String
     * @param {Number} length Length of the token you want to create
     * @param {String} alphabet An alphabet of allowed symbols in generated token
     * @param {String} alphabet "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789" by default
     * @param {Array} nonallowed Remove some type(-s) of characters
     * @param {Array} nonallowed ["upperCaseString", "lowerCaseString", "number", "other?"]
     * @param {Array} nonallowed "other" is used only if argument alphabet exists
     * @param {Array} nonallowed empty array by default
     */
    generateToken(length: number, alphabet?: string | undefined, nonallowed?: string[] | undefined): string;
    /**
     * Generates string list type table.
     * @param {Object} table object of your table, where every element should be string[] | number[] | boolean[]
     * @param {Number|'longest'} length how wide each column has to be
     */
    generateTable(table: ObjectOfArrays, length: number | 'longest'): string;
}
export {};
